cert::ServerSSLCert_2_0_0 Interface Reference

TLS certificate management interface. More...

`import"ServerSSLCert.idl";`

## Classes

struct | CertInfo
| Certificate information. More...
struct | CommonAttributes
| Certificate issuer or subject attributes. More...
struct | Info
| Certificate manager information. More...
struct | ReqInfo
| Certificate signing request information. More...

## Public Member Functions

int | generateUnsignedKeyPair (in ReqInfo reqInfo, in string challenge)
| Generate an unsigned key pair. More...
int | generateSelfSignedKeyPair (in ReqInfo reqInfo, in int days)
| Generate a self-signed key pair. More...
void | deletePending ()
| Remove a pending certificate signing request or certificate.
void | getInfo (out Info info)
| Retrieve certificate manager information. More...
int | installPendingKeyPair ()
| Activate a pending key pair. More...

## Public Attributes

constant int | SUCCESS = 0
| success code
constant int | ERR_GEN_KEY_LEN_INVALID = 100
| key-pair generation error codes
constant int | ERR_GEN_CSR_OR_CERT_PENDING = 101
constant int | ERR_GEN_KEY_GEN_FAILED = 102
constant int | ERR_INSTALL_KEY_MISSING = 200
| key-pair installation error codes
constant int | ERR_INSTALL_CERT_MISSING = 201
constant int | ERR_INSTALL_CERT_FORMAT_INVALID = 202
constant int | ERR_INSTALL_CERT_KEY_MISMATCH = 203

## Detailed Description

TLS certificate management interface.

## Member Function Documentation

## generateSelfSignedKeyPair()

int cert::ServerSSLCert_2_0_0::generateSelfSignedKeyPair | ( | in ReqInfo | reqInfo,
|  | in int | days
| ) |  |

Generate a self-signed key pair.

Parameters

  reqInfo | Certificate signing request information
  days | Number of days the certificate will be valid

Returns
  SUCCESS or one of the error code constants

## generateUnsignedKeyPair()

int cert::ServerSSLCert_2_0_0::generateUnsignedKeyPair | ( | in ReqInfo | reqInfo,
|  | in string | challenge
| ) |  |

Generate an unsigned key pair.

Parameters

  reqInfo | Certificate signing request information
  challenge | Challenge password

Returns
  SUCCESS or one of the error code constants

## getInfo()

void cert::ServerSSLCert_2_0_0::getInfo | ( | out Info | info | ) |

Retrieve certificate manager information.

Parameters

  info | Result: Certificate manager information

## installPendingKeyPair()

int cert::ServerSSLCert_2_0_0::installPendingKeyPair | ( |  | ) |

Activate a pending key pair.

Returns
  SUCCESS or one of the error code constants

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/ServerSSLCert.idl